curl --request POST \
--url https://api.example.com/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '
{
"name": "<string>",
"companyName": "<string>",
"handle": "<string>",
"email": "<string>",
"currency": "<string>",
"billingAddress": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
},
"paymentTerm": "<string>"
}
'import requests
url = "https://api.example.com/customers"
payload = {
"name": "<string>",
"companyName": "<string>",
"handle": "<string>",
"email": "<string>",
"currency": "<string>",
"billingAddress": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
},
"paymentTerm": "<string>"
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
companyName: '<string>',
handle: '<string>',
email: '<string>',
currency: '<string>',
billingAddress: {
street1: '<string>',
street2: '<string>',
postalCode: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
state: '<string>'
},
paymentTerm: '<string>'
})
};
fetch('https://api.example.com/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"handle": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"billingAddress": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
},
"paymentTerm": "<string>",
"email": "<string>",
"currency": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Create customer
Create a new customer.
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Body
Properties to create.
The customer's full name.
An optional business name.
A unique identifier for the customer. If no identifier is provided, one will be generated automatically.
The customer's email address.
Three-letter ISO currency code, in lowercase. Must be a supported currency (https://go.plude.io/h11101).
Show child attributes
Show child attributes
Response
OK
Unique id of the customer.
Name of the customer.
Unique handle of the customer.
Date and time when the product was created.
/// Date and time when the product was last updated.
Show child attributes
Show child attributes
Preferred payment term of customer. See https://docs.plude.io/invoicing/payment-terms.
Email of the customer.
Optional sets the preferred currency of this customer.
automatic, send_invoice, draft_invoice Was this page helpful?

